<link rel="stylesheet" href="../images/Techmania.css" type="text/css" />
<?  
include "../configs/config.php";
include '../configs/functionbb.php';

if(!isset($_COOKIE['ckAdmLogin'])) { echo 'Logue-se , pagina restrita!'; }else{ 
?>
<style>
#bbc {
text-align: center;
width: 23px;
height: 22px;
background-image: url('bbc/bbc_bg.gif');
}
#bbc:hover {
text-align: center;
width: 23px;
height: 22px;
background-image: url('bbc/bbc_hoverbg.gif');
cursor: Pointer;
}
.quote {
	font-family: "Verdana";
	font-size: 10px;
	color: #000000;
	background-color: #FFFFF9;
	border: 1px solid #CCCCCC;
	padding: 5px;

}
body,td,th {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: #333333;
}
a {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: #333333;
}
a:link {
	text-decoration: none;
}
a:visited {
	text-decoration: none;
	color: #333333;
}
a:hover {
	text-decoration: none;
	color: #FF0000;
}
a:active {
	text-decoration: none;
	color: #FF0000;
}
.style2 {font-size: 12px}
.style3 {
	font-size: 12px;
	font-weight: bold;
}
.style4 {font-size: 9px}
</style>
<?PHP
if(isset($_POST['pre'])){
$_POST['bbcodes'] = str_replace("\'","'",$_POST['bbcodes']);
$_POST['bbcodes'] = str_replace('\"','"',$_POST['bbcodes']);
print('<div id="main"><form id="form2" name="form2" method="post" action=""><div> <b>Visualização:</b> <br>'.nl2br(bbcode($_POST['bbcodes'])).'</div></form><hr width="100%">');
}

if($_POST['add']) {
   $titulo=$_POST['titu'];
   $por=$_POST['por'];
   $tipo=$_POST['tipo'];
   $data=date("d/m/y - h:i a");
   $msg=$_POST['bbcodes'];
   if(empty($titulo) || empty($por) || empty($tipo)) {
   echo "<script>alert('Preencha todos os campos'); location='javascript:history.back()'</script>";
   }
   else{
   mssql_query("INSERT INTO noticias (titulo,por,tipo,data,noticia) values ('$titulo','$por','$tipo','$data','$msg')");
   echo "<script>alert('Notícia adicionada'); location='javascript:history.back()'</script>";}
}

?>

<div align="right"><a href="sair.php" target="meio" class="style3">[ Sair ]</a><br />
</div>
<hr>
<form id="form2" name="form2" method="post" action="">
  <div align="center">Titulo:
  </div>
  <center><input name="titu" type="text" class="textbox" id="titu" maxlength="200" /> </center>
  <div align="center"><br />
    Por:  
  </div><center><input name="por" type="text" class="textbox" id="por" maxlength="20" /> </center>
  <div align="center"><br />
    
    Tipo: 
  </div>
  <center><input name="tipo" type="text" class="textbox" id="tipo" maxlength="20" /> </center>
  <div align="center"><br />
  Mensagem : 
    <textarea name="bbcodes" cols="60" rows="5" id="bbcodes" style="font-size:12px"><?=$_POST[bbcodes];?>
      </textarea> 
    <br />
      <input name="pre" type="submit" class="button" id="pre" value="Visualizar" />
      <input name="add" type="submit" class="button" id="add" value="Adicionar" />
      </p>
      <script>
function addBB(pBB,sBB){
if(document.selection){
var selecionado = document.selection.createRange().text;
}else{
var inicio = document.form.bbcodes.selectionStart;
var fim = document.form.bbcodes.selectionEnd;
var selecionado = document.form.bbcodes.value.substring(inicio,fim);
}
var textoOriginal = document.form.bbcodes.value;
if(selecionado==""){
document.form.bbcodes.value += pBB+sBB;
}else{
var meuNTexto = pBB + selecionado + sBB;
var textoFormatado = (textoOriginal.replace(selecionado, meuNTexto));
document.form.bbcodes.value = textoFormatado;
}
form.bbcodes.focus();
}
function addCode(code){
var inicio = document.form.bbcodes.selectionStart;
var selecionado = document.form.bbcodes.value.substring(inicio,inicio);
if(selecionado==""){
document.form.bbcodes.value += code;
}else{
var textoOriginal = document.form.bbcodes.value;
var textoFormatado = (textoOriginal.replace(selecionado, code));
document.form.bbcodes.value = textoFormatado;
form.bbcodes.focus();
}
}
function addSpecial(mode){
if(document.selection){
var selecionado = document.selection.createRange().text;
}else{
var inicio = document.form.bbcodes.selectionStart;
var fim = document.form.bbcodes.selectionEnd;
var selecionado = document.form.bbcodes.value.substring(inicio,fim);
}
var textoOriginal = document.form.bbcodes.value;
var textoFormatado = (textoOriginal.replace(selecionado, ""));
document.form.bbcodes.value = textoFormatado;
if(mode=='img'){
var thisIMG = prompt("Entre com a URL da imagem que você gostaria de adicionar.",selecionado);
if(thisIMG==null){return false;}
addCode('[img]'+thisIMG+'[/img]');
}else if(mode=='email'){
var thisURL = prompt("Entre com o endereço de E-mail que você deseja adicionar.",selecionado);
if(thisURL==null){return false;}
var thisMAIL = prompt("Entre com algum titulo para o e-mail, se quiser.", thisURL);
addCode('[email='+thisURL+']'+thisMAIL+'[/email]');
}else if(mode=='url'){
var thisURL = prompt("Entre com a url do site.",'http://'+selecionado);
if(thisURL==null){return false;}
var thisLINK = prompt("Entre com algum nome para a url, se quiser.", thisURL);
addCode('[url='+thisURL+']'+thisLINK+'[/url]');
}else if(mode=='ftp'){
var thisURL = prompt("Entre com a url do ftp.",'ftp://'+selecionado);
if(thisURL==null){return false;}
var thisLINK = prompt("Entre com algum nome para a url, se quiser.", thisURL);
addCode('[ftp='+thisURL+']'+thisLINK+'[/ftp]');
}
}
      </script>
  
  </div><hr>
  
  <div align="center"><span class="style2">Remover noticias  </span>
  </div>
  <p align="center">
    <select name="iddel" id="iddel">
      <? 
  $noticiaq=mssql_query("SELECT Titulo,Id FROM Noticias ORDER By ID DESC");
  for ($i=0;$i<mssql_num_rows($noticiaq);$i++) {
  $exiben=mssql_fetch_row($noticiaq);
  echo '<option value='.$exiben[1].'>'.$exiben[0].'</option>';
  } 
  ?>
    </select>
    <BR /><input name="del" type="submit" class="button" id="del" value="Deletar" />
  </p>
  <p align="center">
    <? 
  if($_POST['del']) {
  $iddel = $_POST['iddel'];
  mssql_query("DELETE Noticias WHERE Id='".$iddel."'");
  echo"<script>alert('Noticia deletada'); location='add.php'</script>";
  }
} 
?>
  </p>
  <hr>


</form>
<html>
<head>
<LINK REL="StyleSheet" HREF="../barra.css" TYPE="text/css">
<script>
/*
	Script desenvolvido por Leandro Martins - leandro.martins@sankhya.com.br
	Não permite seleção de campos especificados.
*/
var tagsAbertas =["input", "textarea", "select", "div"]; // CAMPOS QUE NAO SERAM BLOQUEADOS
tagsAbertas = tagsAbertas.join("|");

function fechaCamposFF(e){
var elemento = (e.target)?e.target:e.srcElement;
	if (tagsAbertas.indexOf(elemento.tagName.toLowerCase())==-1)
		return false;
}

function abreCamposFF(){
return true
}

function fechaCamposIE(){
var elemento = event.srcElement;
	if(tagsAbertas.indexOf(elemento.tagName.toLowerCase()) == -1)
		document.onselectstart = new Function ("return false");
}

function abreCamposIE(){
var elemento = event.srcElement;
	if(tagsAbertas.indexOf(elemento.tagName.toLowerCase()) == -1){
		document.onselectstart = new Function ("return false");
	}else{
		document.onselectstart = new Function ("return true");
	}
}

if (typeof document.onselectstart != "undefined"){
document.onmousedown	=	fechaCamposIE;
document.onmouseup		=	abreCamposIE;
document.onselectstart  = new Function ("return false");
}else{
document.onmousedown	=	fechaCamposFF;
document.onmouseup		=	abreCamposFF;
}
</script>
<script language="JavaScript">
 function blockError(){return true;}
 window.onerror = blockError;
 </script>
<script language=JavaScript>
 function disableselect(e) {
    return false
 } 
 function reEnable() {
    return true
 }
 //if IE4+
 document.onselectstart=new Function ("return false")
 //if NS6
 if (window.sidebar) { 
    document.onmousedown=disableselect
    document.onclick=reEnable
 }
 </script>
<SCRIPT language=JavaScript>
<!--

var message="Botão Direito Desativado";


function clickIE4(){
if (event.button==2){
alert(message);
return false;
}
}

function clickNS4(e){
if (document.layers||document.getElementById&&!document.all){
if (e.which==2||e.which==3){
alert(message);
return false;
}
}
}

if (document.layers){
document.captureEvents(Event.MOUSEDOWN);
document.onmousedown=clickNS4;
}
else if (document.all&&!document.getElementById){
document.onmousedown=clickIE4;
}

document.oncontextmenu=new Function("alert(message);return false")

// --> 
</SCRIPT>


<script>
function MM_openBrWindow(theURL,winName,features) {
  window.open(theURL,winName,features);
}
function mouseDown(e) {
var shiftPressed=0;
if (parseInt(navigator.appVersion)>3) {
if (navigator.appName=="Netscape")
shiftPressed=(e.modifiers-0>3);
else shiftPressed=event.shiftKey;
if (shiftPressed) {
alert ('Shift esta desabilitado.')
return false;
}
}
return true;
}
if (parseInt(navigator.appVersion)>3) {
document.onmousedown = mouseDown;
if (navigator.appName=="Netscape")
document.captureEvents(Event.MOUSEDOWN);
}
 function blockError(){return true;}
 window.onerror = blockError;
 </script>
 <script language=JavaScript>
 function disableselect(e)
 {
    return false
 }
 function reEnable()
 {
    return true
 }
 document.onselectstart=new Function ("return false")
 if (window.sidebar)
 {
    document.onmousedown=disableselect
    document.onclick=reEnable
 }

var mensagem="Botão Direito Desativado";//protege o botao direito do mouse
function click(mouse) {
  if (document.all) {
     if (event.button==2||event.button==3) {
        alert(mensagem);
        return false;
     }
  }
  if (document.layers) {
     if (mouse.which == 3) {
        alert(mensagem);
        return false;
     }
  }
}
document.onmousedown=click;
document.onkeydown=keypressed;

function clearText(thefield){
if (thefield.defaultValue==thefield.value)
thefield.value = ""
} 
function ss(id) {


var left = 50;
var top = 50;

window.open('modulos/outros/verscreenshot.php?id='+id+'','SS', 'width=802, height=604, top='+top+', left='+left+', scrollbars=yes, status=no, toolbar=no, LOCATION=NO, directories=no, menubar=no, RESISABLE=NO, fullscreen=no');

}
</script>
</head>
</html>